<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1menu__item__text.html">menu_item_text</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::menu_item_text Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>action</b> (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>draw_background</b>(const canvas &amp;c, const rectangle &amp;rect, const bool enabled, const bool is_selected) const (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>draw_left</b>(const canvas &amp;, const rectangle &amp;, const bool, const bool) const (defined in <a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>draw_middle</b>(const canvas &amp;c, const rectangle &amp;rect, const bool enabled, const bool) const (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>draw_right</b>(const canvas &amp;, const rectangle &amp;, const bool, const bool) const (defined in <a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>f</b> (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_hot_key</b>() const (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_left_size</b>() const (defined in <a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>get_middle_size</b>() const (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>get_right_size</b>() const (defined in <a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>has_click_event</b>() const (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>hotkey</b> (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>initialize</b>(const any_function&lt; void()&gt; &amp;event_handler_, unichar hk) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>menu_item_text</b>(const std::string &amp;str, T &amp;object, void(T::*event_handler_)(), unichar hk=0) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>menu_item_text</b>(const std::string &amp;str, const any_function&lt; void()&gt; &amp;event_handler_, unichar hk=0) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>menu_item_text</b>(const std::wstring &amp;str, T &amp;object, void(T::*event_handler_)(), unichar hk=0) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>menu_item_text</b>(const std::wstring &amp;str, const any_function&lt; void()&gt; &amp;event_handler_, unichar hk=0) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>menu_item_text</b>(const dlib::ustring &amp;str, T &amp;object, void(T::*event_handler_)(), unichar hk=0) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>menu_item_text</b>(const dlib::ustring &amp;str, const any_function&lt; void()&gt; &amp;event_handler_, unichar hk=0) (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>on_click</b>() const (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>text</b> (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>underline_p1</b> (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>underline_p2</b> (defined in <a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item__text.html">dlib::menu_item_text</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~menu_item</b>() (defined in <a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a>)</td><td class="entry"><a class="el" href="classdlib_1_1menu__item.html">dlib::menu_item</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
